﻿using CeVIO.Talk.RemoteService2;

namespace CeVIOCreativeStudioDotNetTest
{
	class Program
	{
		static void Main(string[] args)
		{
			// 【CeVIO AI】起動
			ServiceControl2.StartHost(false);

			// Talkerインスタンス生成
			Talker2 talker = new Talker2();

			// キャスト設定
			talker.Cast = "さとうささら";

			// （例）音量設定
			talker.Volume = 100;

			// （例）抑揚設定
			talker.ToneScale = 100;

			// （例）再生
			SpeakingState2 state = talker.Speak("こんにちは");
			state.Wait();

			// （例）音素データをトレース出力
			PhonemeData2[] phonemes = talker.GetPhonemes("はじめまして");
			foreach (var phoneme in phonemes)
			{
				System.Diagnostics.Trace.WriteLine("" + phoneme.Phoneme + " " + phoneme.StartTime + " " + phoneme.EndTime);
			}

			// 【CeVIO AI】終了
			ServiceControl2.CloseHost();
		}
	}
}